<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.scytl.products.ov.channel.ei</groupId>
		<artifactId>election-information</artifactId>
        <version>2.1.7</version>
	</parent>

	<groupId>com.scytl.products.ov.channel.ei.service</groupId>
	<artifactId>election-information-services</artifactId>
	<packaging>jar</packaging>
	<name>Online Voting - Election Information - Services</name>

	<properties>
		<opencsv.version>3.5</opencsv.version>
	</properties>

	<dependencies>
		<!-- Local dependencies -->
		<!-- OV Commons -->
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-logging</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-dto</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons.lib</groupId>
			<artifactId>ov-commons-lib-persistence</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-infrastructure</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-sign</artifactId>
		</dependency>
		<dependency>
			<groupId>com.scytl.products.ov.channel.commons</groupId>
			<artifactId>ov-commons-correctness</artifactId>
		</dependency>

        <dependency>
            <artifactId>cryptolib-certificates</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
        </dependency>

        <dependency>
            <artifactId>cryptolib-api-asymmetric</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
        </dependency>

		<!-- JPA Service provider -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-entitymanager</artifactId>
		</dependency>
        
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
        </dependency>
        
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>

		<dependency>
			<groupId>com.scytl.math</groupId>
			<artifactId>scytl-math</artifactId>
			<version>${scytl-math.version}</version>
			<scope>test</scope>
		</dependency>


	</dependencies>
	<profiles>
      <profile>
        <id>skipTestRun</id>
        <activation>
          <property>
            <name>skipTests</name>
            <value>!true</value>
          </property>
        </activation>
        <dependencies>
          <dependency>
              <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
              <artifactId>ov-commons-lib-persistence</artifactId>
              <type>test-jar</type>
              <scope>test</scope>
          </dependency>
          <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-sign</artifactId>
            <version>${project.version}</version>
            <scope>test</scope>
            <type>test-jar</type>
          </dependency>
          <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-dto</artifactId>
            <version>${project.version}</version>
            <type>test-jar</type>
            <scope>test</scope>
          </dependency>
        </dependencies>
      </profile>
    </profiles>
</project>
